mdsum(1)

NAME
mdsum - compute file digests using any supported algorithms.

SYNOPSIS
mdsum [options] [paths...]

DESCRIPTION
This command computes a message digest for one or more specified files. If no files are specified, then stdin can be used. Any digest algorithm available in libusecure may be selected and used. Entire directory trees may also be examined and computed using the -R (--recursive) option.

OPTIONS

--digest=name
    Specify name of digest algorithm. By default md5 will be used, unless the command is executed through a symlink which happens to match an algorithm name.

--follow
    Dereference and follow symlinks. Otherwise they are ignored.

--recursive
    If argument is a directory, recursively scan directory and any subdirectory contents as arguments.

--help
    Outputs help screen for the user.

AUTHOR
mdsum was written by David Sugar <dyfet@gnutelephony.org>.

REPORTING BUGS
Report bugs to bug-commoncpp@gnu.org or bugs@gnutelephony.org.

COPYRIGHT
Copyright © 2010-2014 David Sugar, Tycho Softworks.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.